Subject: Re: bug#29290: 25.3; bug-gnu-emacs archive web search fails to find matching bugs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Nov 2017 20:53:22 +0200

> From: myglc2 <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 14 Nov 2017 12:42:36 -0500
> 
> >   https://debbugs.gnu.org/cgi/search.cgi
> >
> > It is more sophisticated and does find the above bug report.
> 
> I tried the link above. It takes an unnatural amount of effort to find
> the bug between the garbled titles and summary lines.

"Garbled"?  What do you see there, exactly, and what browser did you
use to do that?  I see nothing garbled, everything is perfectly
legible and clear.  I wonder what did you do differently and what did
you see.

After getting to the above search page, I type "server-name" into the
"Phrase" field, select "Order by Submission date", in "descending
(number or date)" order, change "Max results" to 100, and click
"Search".  Did you do something else?

> > The reasons why the mailman search didn't find the report could be a
> > few.  One of them could be the way the Subject line was formatted
> > (download the bug report in mbox format and see for yourself).  Or it
> > could be some other snafu.
> 
> But aren't you alarmed it works so poorly?

Alarmed? no.  Searching for a particular discussion is never easy for
me.

> > But you are advised to try the above
> > search engine before concluding that a bug for some issue doesn't
> > exist.
> 
> Sorry, I didn't see that. Where is this advised?

In my email.

> The first google hit for "emacs bug" is https://debbugs.gnu.org
> 
> So, OK, both put you on debbugs.gnu.org. Now if you search the page for
> "emacs" ...
> 
> ... the first hit is the aforementioned mailman search ;-(
> 
> ... the second hit is
> 
> https://debbugs.gnu.org/cgi/pkgreport.cgi?package=emacs;max-bugs=100;base-order=1;bug-rev=1
> 
> ... which I can't get to find the bug ;-(

I see none of what you see, sorry.  It's as if we were in two
different worlds.  https://debbugs.gnu.org/ has a few links to usage
notes, package maintainers, and other not-so relevant stuff, then a
few fields to use for searching bugs by their numbers, then "General
Search", which I never user, and lastly "Advanced Search", which is
what I suggested to click.  How come what you see is so different?

> So, bottom line,
> 
> 1) if you _don't want_ people to go to mailman search please _remove the
>    1st link_ on debbugs.gnu.org
> 
> 2) if you want people to go to the search link you gave me, please _edit
>    the 2nd link_ debbugs.gnu.org
> 
> 3) If you want average users to use
>    https://debbugs.gnu.org/cgi/search.cgi to pre-chew bug reports please
>    to improve its usability.

I don't understand what you are talking about, sorry.